Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223938 - mkinitrd doesn't honor scsi_hostadapter<n> ordering
Summary: mkinitrd doesn't honor scsi_hostadapter<n> ordering
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mkinitrd
Version: 4.4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Brian Lane
QA Contact: Kevin Baker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-23 06:02 UTC by Lynn Kerby
Modified: 2014-12-01 23:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-27 17:59:56 UTC


Attachments (Terms of Use)
Patch to sort > 10 scsi_hostadapters using sed (deleted)
2007-05-11 02:31 UTC, J.H.
no flags Details | Diff
Patch to sort > 10 scsi_hostadapters using sort's --key (deleted)
2007-05-11 02:32 UTC, J.H.
no flags Details | Diff

Description Lynn Kerby 2007-01-23 06:02:50 UTC
Description of problem:

mkinitrd messes up load order of scsi_hostadapters if there are more than 10
entries in /etc/modprobe.conf

Version-Release number of selected component (if applicable):

Initially discovered with mkinitrd-4.2.1.8 on RHAS4U4.

How reproducible: 100%

Additional info:

This can be easily fixed by adding '| sort --key=2.18n' to the command sequence
that finds the scsi_hostadapter entries just before the awk command in the pipeline.

Comment 1 J.H. 2007-05-11 02:31:22 UTC
Created attachment 154512 [details]
Patch to sort > 10 scsi_hostadapters using sed

Quick and dirty original patch to solve this using a couple of quick sed
replacements and using numerical sort.

Comment 2 J.H. 2007-05-11 02:32:34 UTC
Created attachment 154513 [details]
Patch to sort > 10 scsi_hostadapters using sort's --key

Comment 3 J.H. 2007-05-11 02:35:58 UTC
Patches included as I'm running into the same issue.  This issue affects at the
least the following but more likely everything earlier as well:
RHEL 4.2, 4.3, 4.4, 5.0
Fedora Core 5, 6




Note You need to log in before you can comment on or make changes to this bug.